Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » scout » servletbridge.jar 1.2.300.qualifier(Where can I download it?)
servletbridge.jar 1.2.300.qualifier [message #1076327] Wed, 31 July 2013 07:15 Go to next message
Jeremie Bresson is currently offline Jeremie Bresson
Messages: 762
Registered: October 2011
Senior Member
The scout server use Equinox in a Servlet Container. When you build the server, you need to provide the WEB-INF/ content that contains servletbridge.jar.

For the moment, in my project I use a version that I have built myself because I needed to apply the patch proposed in Bug 370547.

Now that Kepler has been released, the servletbridge.jar (version 1.2.300.qualifier) should be available somewhere. Where can I download it?
Re: servletbridge.jar 1.2.300.qualifier [message #1076393 is a reply to message #1076327] Wed, 31 July 2013 10:08 Go to previous messageGo to next message
Jeremie Bresson is currently offline Jeremie Bresson
Messages: 762
Registered: October 2011
Senior Member
I got an answer from Ken:

The jar is available on the Kepler P2 Update site:
http://download.eclipse.org/releases/kepler

There is no direct URL, but an easy way to download the jar is to use the P2 Browser application.

index.php/fa/15785/0/

[Updated on: Wed, 31 July 2013 11:49]

Report message to a moderator

Re: servletbridge.jar 1.2.300.qualifier [message #1076433 is a reply to message #1076393] Wed, 31 July 2013 11:49 Go to previous messageGo to next message
Jeremie Bresson is currently offline Jeremie Bresson
Messages: 762
Registered: October 2011
Senior Member
During our investigation, we have noticed that the servletbridge.jar version that is included in the server war generated by the SDK "Export as war" function is outdated.

I have opened Bug 414117 to change this.
Re: servletbridge.jar 1.2.300.qualifier [message #1115550 is a reply to message #1076433] Tue, 24 September 2013 08:43 Go to previous messageGo to next message
Jeremie Bresson is currently offline Jeremie Bresson
Messages: 762
Registered: October 2011
Senior Member
As mentionned in Bug 414117 Comment 3 the servletbridge version 1.2.300 is not compatible with Luna. I think we need to update to 1.3.0 version.
Re: servletbridge.jar 1.2.300.qualifier [message #1115663 is a reply to message #1076327] Tue, 24 September 2013 12:02 Go to previous message
Bruno  Köferli is currently offline Bruno Köferli
Messages: 9
Registered: January 2012
Junior Member
Btw. can you try to push the following servletbridge bug Bug 393407 which causes problems if you deploy and run a scout project with a DerbyDB in tomcat.
Previous Topic:how to deploy Scout RT to target platform?
Next Topic:Update site Rayo/JDBC/Docx4j not available?
Goto Forum:
  


Current Time: Thu Oct 23 03:23:38 GMT 2014

Powered by FUDForum. Page generated in 0.13639 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software